Bug 175953 - perl5db.pl contains syntax error
perl5db.pl contains syntax error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 12:46 EST by Jeremy Brookman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2:5.8.5-24.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 02:03:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Brookman 2005-12-16 12:46:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
perl5db.pl contains a syntax error on line 5814:

my $rv = $ENV{PERLDB_NOTTY} || ( $ENV{HOME} ? $ENV{HOME} : /tmp ) ."/perldbtty$$";

should read

my $rv = $ENV{PERLDB_NOTTY} || ( $ENV{HOME} ? $ENV{HOME} : "/tmp" ) ."/perldbtty$$";



Version-Release number of selected component (if applicable):
perl-5.8.5-22.FC3

How reproducible:
Always

Steps to Reproduce:
perl -d -e 42

Additional info:
Comment 1 Jason Vas Dias 2005-12-16 15:01:27 EST
Thanks for pointing this out! Very sorry about that typo -
this is fixed with perl-5.8.5-24.FC3, now being pushed to FC-3 Updates.
Comment 2 Fedora Update System 2005-12-16 15:25:11 EST
From User-Agent: XML-RPC

perl-5.8.5-24.FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 David Eisenstein 2006-01-26 02:03:43 EST
This was released on 2005-12-16, so should be CLOSED ERRATA.

See
http://www.redhat.com/archives/fedora-announce-list/2005-December/msg00050.html

Note You need to log in before you can comment on or make changes to this bug.